@model FERZid.Models.SadrzajViewModel

@{
    ViewData["Title"] = "Sadržaj";
}

<h2>Sadržaji</h2>
<hr />
<p>
    <a style="margin-bottom:20px" class="btn btn-success btn" asp-action="Create" title="Dodaj sadržaj"><span class="glyphicon glyphicon-plus"></span>Dodaj sadržaj</a>
</p>
<br />


    @using (Html.BeginForm("Index", "Sadrzaj", FormMethod.Get))
    {
        <p align="right">
            Naziv: @Html.TextBox("searchString", ViewBag.CurrentFilter as string)
        </p>


        <p align="right">
            Format:  <select asp-for="formatSadrzaja" asp-items="Model.formati">
                <option value="">All</option>
            </select>
        </p>

        <p align="right">
            Vrsta sadržaja:  <select asp-for="vrstaSadrzaja" asp-items="Model.vrsteSadrzaja">
                <option value="">All</option>
            </select>
        </p>

        <p align="right">
            <input type="submit" value="Search" />
        </p>
    }




@if (ViewData["Error"] != null)
{
    <div class="red">
        <p><strong>Error:</strong> @ViewData["Error"].ToString()</p>
    </div>
}
@if (TempData["Success"] != null)
{
    <div class="green">
        <p><strong>Success:</strong> @TempData["Success"].ToString()</p>
    </div>
}



<hr />

<br>



    <table class="table table-striped">
        <thead>
            <tr>
               
                <th>
                    @Html.ActionLink("Naziv", "Index", new { sortOrder = ViewBag.nazivSortParam, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                </th>

               

                <th>
                    @Html.ActionLink("Format", "Index", new { sortOrder = ViewBag.formatSortParam, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                </th>

                <th>
                    @Html.ActionLink("Vrsta sadržaja", "Index", new { sortOrder = ViewBag.vrstaSadrzajaSortParam, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                </th>

                <th>
                    Uloge osoba
                </th>
                <th>
                    Opcije uloga
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.sadrzaji[0].Veličina)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.sadrzaji)
            {
               
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Naziv)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdformataNavigation.Naziv)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdvrsteSadržajaNavigation.Naziv)
                    </td>

                    

                    <td>
                        @if (item.ulogeNadSadrzajem != null)
                        {
                                                    @foreach (var thing in item.ulogeNadSadrzajem)
                                                    {

                                                        <p>
                                                            @thing.NazivVrsteUloge: @Html.ActionLink(thing.ImeIPrezimeOsobe, "Details","Osoba", new {id=thing.Idosobe})
                                                            @*@Html.DisplayFor(modelItem => thing.NazivVrsteUloge): @Html.DisplayFor(modelItem => thing.ImeIPrezimeOsobe)*@
                                                            
                                                        </p>
                                                        
                               

                                                    }
                            
                        }


                    </td>

                    <td>
                        @if (item.ulogeNadSadrzajem != null)
                        {
                            @foreach (var thing in item.ulogeNadSadrzajem)
                            {

                                <p>
                                    @Html.ActionLink("Details", "Details", "UlogaOsobe", new { id = thing.IdulogeOsobe }) |
                                    @Html.ActionLink("Edit", "Edit", "UlogaOsobe", new { id = thing.IdulogeOsobe }) |
                                    @*@Html.ActionLink("Delete", "Delete", "UlogaOsobe", new { id = thing.IdulogeOsobe })*@
                                    <a asp-action="Delete" asp-controller="UlogaOsobe" asp-route-page="@ViewBag.Page" asp-route-deleteFromSadrzaj=1 asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta" asp-route-id="@thing.IdulogeOsobe" onclick="return confirm('Are you sure you want to delete the record with id = @thing.IdulogeOsobe')">Delete</a>
                                    @*@Html.DisplayFor(modelItem => thing.NazivVrsteUloge): @Html.DisplayFor(modelItem => thing.ImeIPrezimeOsobe)*@
                                </p>



                            }
                           
                            
                        }
                        @Html.ActionLink("Dodaj ulogu", "Create", "UlogaOsobe", new { idSadrzaja =item.Idsadržaja, page = ViewBag.Page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta })
                        
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.Veličina)
                    </td>
                    <td>




                        <div class="btn-group">
                            <button class="btn btn-default">
                                <a asp-action="Edit" asp-route-id="@item.Idsadržaja" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Details" asp-route-id="@item.Idsadržaja"  asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Delete" asp-route-id="@item.Idsadržaja"  asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentFilter="@ViewBag.CurrentFilter" asp-route-currentFormat="@ViewBag.CurrentFormat" asp-route-currentVrsta="@ViewBag.CurrentVrsta" onclick="return confirm('Are you sure you want to delete the record with id = @item.Idsadržaja')" >
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </button>
                        </div>


                        <a asp-action=""  onclick="return confirm('Not implemented')">&nbsp&nbspDownload</a>

                    </td>
                </tr>
            }
        </tbody>
    </table>

    @section styles {
        <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
    }

    @section scripts {
        <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>

    }

    @if (ViewBag.Page > 0)
    {
        <a href="@Url.Action("Index", new { page = ViewBag.Page - 1,sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter,currentFormat=ViewBag.CurrentFormat,currentVrsta= ViewBag.CurrentVrsta })"
           class="btn btn-default">
            &laquo; Prev
        </a>
    }
    @if (ViewBag.Page < ViewBag.MaxPage)
    {
        <a href="@Url.Action("Index", new { page = ViewBag.Page + 1,sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter,currentFormat=ViewBag.CurrentFormat,currentVrsta= ViewBag.CurrentVrsta })"
           class="btn btn-default">
            Next &raquo;
        </a>
    }
    <hr />
    @for (int i = 0; i <= ViewBag.MaxPage; i++)
    {
        int j = i + 1;

        @if (ViewBag.Page == @i)
        {
            <ul class="pagination">
                <li>@Html.ActionLink(@j.ToString(), "Index", "Sadrzaj", new { page = @i, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta= ViewBag.CurrentVrsta }, new { @style = "color:green;font-weight:bold;" })</li>
            </ul>
        }

        @if (ViewBag.Page != @i)
        {
            <ul class="pagination">
                <li>@Html.ActionLink(@j.ToString(), "Index", "Sadrzaj", new { page = @i, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, currentFormat = ViewBag.CurrentFormat, currentVrsta = ViewBag.CurrentVrsta }, null)</li>
            </ul>
        }

    }

